
# Biome Registry Template

```lua
core.register_biome({
    name = "temperate_forest",
    node_top = "vox_worldblocks:grass",       -- Top surface block
    depth_top = 1,                           -- Depth of the top block
    node_filler = "vox_worldblocks:dirt",    -- Subsurface block
    depth_filler = 3,                        -- Depth of filler layer
    node_stone = "vox_worldblocks:stone",    -- Base stone layer
    node_riverbed = "vox_worldblocks:sand",  -- Riverbed material
    depth_riverbed = 2,                      -- Depth of riverbed material
    node_river_water = "vox_worldblocks:water_source", -- Water source
    heat_point = 45,                         -- Climate heat level
    humidity_point = 70,                     -- Climate humidity level
    height_min = 1,                          -- Minimum height for the biome
    height_max = 128,                        -- Maximum height for the biome
    decorations = {"flowers:rose", "flowers:tulip"}, -- Decoration nodes
    biome_group = "temperate",               -- Biome category (for climate/weather)
})
```

OLD:

```lua
core.register_biome({
    name = "grassland",
    node_top = "grass",
    depth_top = 1,
    node_filler = "vox_main:dirt",
    node_stone = "vox_main:stone",
    depth_filler = 3,
    node_riverbed = "vox_main:sand",
    node_river_water = "vox_main:water_source",
    depth_riverbed = 2,
    height_min = 1,
    height_max = 256,
    heat_point = 35,
    humidity_point = 50
})
```
